Bug 1835023 - Review Request: openbgpd - OpenBGPD Routing Daemon
Summary: Review Request: openbgpd - OpenBGPD Routing Daemon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-12 23:49 UTC by Robert Scheck
Modified: 2020-07-15 01:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-08 01:04:37 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2020-05-12 23:49:11 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/openbgpd.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/openbgpd-6.7p0-0.1.git20200512.src.rpm
Description: OpenBGPD is a free implementation of the Border Gateway Protocol (BGP), Version 4. It allows ordinary machines to be used as routers exchanging routes with other systems speaking the BGP protocol.
This is the portable version and it does not have the means to influence kernel routing tables. It is only suitable for route servers/collectors.
Fedora Account System Username: robert

Comment 2 Robert-André Mauchin 🐧 2020-06-26 22:10:19 UTC
 - Add a comment explaining why the patch is needed

Patch0:         openbgpd-6.7p0-rpki-client.patch

 - Use the new gpgverify macro: See https://docs.fedoraproject.org/en-US/packaging-guidelines/#_verifying_signatures

%if !0%{?with_snapshot}
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -q

→

%if !0%{?with_snapshot}
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q

 - systemd-rpm-macros exist on EPEL8, please fix the condition to match:

%if 0%{?fedora} || (0%{?rhel} && 0%{?rhel} > 7)
BuildRequires:  systemd-rpm-macros
%else
BuildRequires:  systemd
%endif

 - Not needed: %{?systemd_requires}

 - /run → %{_rundir}

 - Some code seems under BSD:

BSD 3-clause "New" or "Revised" License
---------------------------------------
openbgpd-6.7p0/compat/fmt_scaled.c
openbgpd-6.7p0/compat/setproctitle.c
openbgpd-6.7p0/compat/sha2.c
openbgpd-6.7p0/compat/siphash.c
openbgpd-6.7p0/compat/vis.c
openbgpd-6.7p0/include/sha2_openbsd.h
openbgpd-6.7p0/include/siphash.h
openbgpd-6.7p0/include/sys/queue.h
openbgpd-6.7p0/include/util.h
openbgpd-6.7p0/include/vis.h

BSD 4-clause "Original" or "Old" License
----------------------------------------
openbgpd-6.7p0/include/net/pfkeyv2.h

If it makes it to the final binary, add it to the License field and add a comment explaining the licenses breakdown.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* ISC License", "ISC
     License", "Expat License", "GPL (v2 or later)", "BSD 3-clause "New" or
     "Revised" License", "FSF Unlimited License (with Retention) GPL (v2 or
     later)", "FSF Unlimited License (with Retention)", "BSD 4-clause
     "Original" or "Old" License", "BSD 2-clause "Simplified" License",
     "GPL (v3 or later)". 36 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/openbgpd/review-
     openbgpd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in openbgpd
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[+]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[ ]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openbgpd-6.7p0-1.fc33.x86_64.rpm
          openbgpd-debuginfo-6.7p0-1.fc33.x86_64.rpm
          openbgpd-debugsource-6.7p0-1.fc33.x86_64.rpm
          openbgpd-6.7p0-1.fc33.src.rpm
openbgpd.x86_64: W: name-repeated-in-summary C OpenBGPD
openbgpd.x86_64: W: non-standard-gid /etc/bgpd bgpd
openbgpd.x86_64: E: non-standard-dir-perm /etc/bgpd 750
openbgpd.x86_64: W: non-standard-gid /etc/bgpd.conf bgpd
openbgpd.x86_64: E: non-readable /etc/bgpd.conf 640
openbgpd.x86_64: W: manual-page-warning /usr/share/man/man5/bgpd.conf.5.gz 686: warning: macro `Tg' not defined
openbgpd.x86_64: E: non-standard-dir-perm /var/empty/bgpd 711
openbgpd.x86_64: W: non-standard-dir-in-var empty
openbgpd.src: W: name-repeated-in-summary C OpenBGPD
4 packages and 0 specfiles checked; 3 errors, 6 warnings.

Comment 3 Robert Scheck 2020-06-28 23:22:53 UTC
(In reply to Robert-André Mauchin from comment #2)
>  - Add a comment explaining why the patch is needed
> 
> Patch0:         openbgpd-6.7p0-rpki-client.patch

Added.
 
>  - Use the new gpgverify macro: See
> https://docs.fedoraproject.org/en-US/packaging-guidelines/
> #_verifying_signatures

Changed.

>  - systemd-rpm-macros exist on EPEL8, please fix the condition to match:

Changed.

>  - Not needed: %{?systemd_requires}

Removed.

>  - /run → %{_rundir}

Changed.

>  - Some code seems under BSD:
[…]
> If it makes it to the final binary, add it to the License field and add a comment explaining the licenses breakdown.

Changed.


Spec URL: https://labs.linuxnetz.de/bugzilla/openbgpd.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/openbgpd-6.7p0-2.src.rpm

Comment 4 Robert-André Mauchin 🐧 2020-06-29 14:41:38 UTC
Package approved.

Comment 5 Gwyn Ciesla 2020-06-29 15:23:16 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/openbgpd

Comment 6 Fedora Update System 2020-06-29 20:27:58 UTC
FEDORA-2020-fc096ea7d3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc096ea7d3

Comment 7 Fedora Update System 2020-06-29 20:28:32 UTC
FEDORA-2020-59ec839f59 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-59ec839f59

Comment 8 Fedora Update System 2020-06-29 20:29:01 UTC
FEDORA-EPEL-2020-8d55625924 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-8d55625924

Comment 9 Fedora Update System 2020-06-29 20:29:34 UTC
FEDORA-EPEL-2020-e2512bca22 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e2512bca22

Comment 10 Fedora Update System 2020-06-30 00:43:29 UTC
FEDORA-EPEL-2020-8d55625924 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-8d55625924

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-06-30 00:50:28 UTC
FEDORA-EPEL-2020-e2512bca22 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e2512bca22

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-06-30 00:55:35 UTC
FEDORA-2020-59ec839f59 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-59ec839f59 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-59ec839f59

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-06-30 01:13:45 UTC
FEDORA-2020-fc096ea7d3 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-fc096ea7d3 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc096ea7d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-07-08 01:04:37 UTC
FEDORA-2020-fc096ea7d3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-07-08 01:06:09 UTC
FEDORA-2020-59ec839f59 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-07-15 00:33:00 UTC
FEDORA-EPEL-2020-8d55625924 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-07-15 01:00:56 UTC
FEDORA-EPEL-2020-e2512bca22 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.